package ink.wgink.gateway.dao.route;

import ink.wgink.gateway.pojo.route.Route;
import org.springframework.data.mongodb.repository.Query;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Mono;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IRouteDao
 * @Description: 路由
 * @Author: wanggeng
 * @Date: 2021/4/13 5:28 下午
 * @Version: 1.0
 */
@Repository
public interface IRouteDao  extends ReactiveMongoRepository<Route, String> {

    String COLLECTION_NAME = "sys_route";

    @Query("db."+ COLLECTION_NAME+ ".find")
    Mono<Route> list(String uuid);

}
